Bug 547916 - Review Request: fedora-kde-icon-theme - Default icon theme for KDE Desktops on fedora
Review Request: fedora-kde-icon-theme - Default icon theme for KDE Desktops o...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 547701
  Show dependency treegraph
 
Reported: 2009-12-15 19:52 EST by Rex Dieter
Modified: 2010-01-05 16:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-05 16:35:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2009-12-15 19:52:31 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/fedora-kde-icon-theme/fedora-kde-icon-theme.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/fedora-kde-icon-theme/fedora-kde-icon-theme-0.0.2-1.fc12.src.rpm
Description:
Default icon theme for KDE Desktops on fedora


Currently, this content is included in kde-settings, and is not much more than a skeleton.
Comment 1 Rex Dieter 2009-12-15 19:54:35 EST
Once reviewed, this move will also require changes in fedora-logos (and generic-logos) to reflect it's new location.  I can take care of that...
Comment 2 Kevin Kofler 2009-12-16 11:13:34 EST
I'm going to review this, looks fairly straightforward at a first glance.
Comment 3 Rex Dieter 2009-12-30 12:33:35 EST
ping ?
Comment 4 Kevin Kofler 2009-12-30 14:05:21 EST
Uh, sorry, my Internet connection at home broke down, so I have only limited connectivity at the moment. :-( I'll see what I can do.
Comment 5 Kevin Kofler 2009-12-30 14:10:45 EST
First observation: rpmlint has no complaints, that's nice. :-)
Comment 6 Kevin Kofler 2009-12-30 14:58:44 EST
MUST Items:
+ rpmlint output is blank ("0 errors, 0 warnings")
+ named and versioned according to the naming guidelines
+ Name matches spec name
+ package meets Packaging Guidelines
+ License: GPLv2+ and CC-BY-SA valid, matches actual license
+ COPYING.* included as %doc
+ spec file in American English and legible
+ source matches upstream:
MD5: 81ef91585e5d0356f127559cc4477f6e
SHA1: ebe1295cd05cce7fe53a4c8a83ff1db183d3ff28
SHA256: c539f2150ee8fc0bce40291d0ab1169790128e82c5473d252e21bba08e4e1324
+ builds successfully (Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1896041 )
+ no ExcludeArch needed
+ no missing BRs
+ no translations, shared libraries, bundled system libraries
+ not relocatable
+ all created directories (not already owned by filesystem) owned
+ all files listed only once
+ permissions are sane, %defattr used properly
+ %clean section present and valid
+ macros used consistently
+ the packaged content is permissible under CodeVsContent (icon theme)
+ no large documentation files => no -doc subpackage needed
+ %doc files not required at runtime
+ no header files, static libraries, .pc files, .so files, -devel subpackage, .la files or GUI applications
+ does not own files or directories already owned by another package
+ rm -rf %{buildroot} run at the beginning of %install
+ all filenames are valid UTF-8

SHOULD Items:
+ license texts already included in the tarball
+ no translated summary and description available, so none needs to be provided
+ builds in mock (Koji scratch build)
* arch-independent, so expected to build on all architectures, skipping all arch test
* skipping functionality test
+ scriptlets are sane, match standard snippets
+ no subpackages => no versioned deps on the base package needed
+ no .pc files
+ no file dependencies

Nitpick: Please add README as %doc as it contains part of the licensing information. But this is trivial and can be addressed after the import.

APPROVED
Comment 7 Rex Dieter 2009-12-30 20:59:37 EST
New Package CVS Request
=======================
Package Name: fedora-kde-icon-theme
Short Description: Default Icon theme for KDE Desktops on fedora
Owners: rdieter
Branches: 
InitialCC:
Comment 8 Kevin Fenzi 2010-01-02 15:11:19 EST
cvs done.
Comment 9 Rex Dieter 2010-01-05 16:35:38 EST
imported, thanks!

Note You need to log in before you can comment on or make changes to this bug.